This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 566978 - rpmlint reports invalid-url for non-url source references
rpmlint reports invalid-url for non-url source references
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: rpmlint (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-20 15:55 EST by Mattias Ellert
Modified: 2014-05-09 07:03 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-21 06:38:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mattias Ellert 2010-02-20 15:55:15 EST
Description of problem:
The new rpmlint version reports invalid-url warning for source references that are not urls, e.g.

Source:		%{_name}-%{version}.tar.gz

results in:

$ rpmlint globus-gram-client-tools.spec
globus-gram-client-tools.spec: W: invalid-url Source0: globus_gram_client_tools-7.3.tar.gz

The description of this warning is:

$ rpmlint -I invalid-url
invalid-url:
The value should be a valid, public HTTP, HTTPS, or FTP URL.

Issuing this warning if there is e.g. a git:// or svn+ssh:// url there makes sense, but issuing the warning when the source reference is not a url at all doesn't. There are many reasons why the source reference might not be a url:

http://fedoraproject.org/wiki/Packaging:SourceURL#Using_Revision_Control
http://fedoraproject.org/wiki/Packaging:SourceURL#When_Upstream_uses_Prohibited_Code
http://fedoraproject.org/wiki/Packaging:SourceURL#Troublesome_URLs

Version-Release number of selected component (if applicable):
rpmlint-0.94-1.fc12.noarch

How reproducible:
Always

Steps to Reproduce:
1. Run rpmlint on a spec file with a non-url source reference

Actual results:
rpmlint issues an invalid-url warning.

Expected results:
No warning.

Additional info:
This issue did not exist in earlier versions of rpmlint.
Comment 1 Ville Skyttä 2010-02-21 06:38:15 EST
This is intentional, we want a warning for all non-URL source archives to alert packagers to check if a URL would exist but is accidentally not used.  If there's no URL that can be used for the source archive, just ignore the warning.
Comment 2 Nigel Horne 2014-05-08 17:20:27 EDT
I've just hit the same problem.  It would seem to me that a better solution would be for rpmlint to support file:// URLs.
Comment 3 Ville Skyttä 2014-05-09 07:03:31 EDT
I fail to see how file:// URLs in specfiles would make any sense.

Note You need to log in before you can comment on or make changes to this bug.